# ver si se pueden dejar datos al compilar para generar mas archivos estilo gento en algun archivo tipo pkgac.dat, usar soft de ubuild


#FILEEBUILD=$BUILD_ROOT/$PACKAGE.ebuild
FILEEBUILD=$TMP_DIR/$PACKAGE.ebuild
brand=ututo

if test x$brand = "xututo"; then 
    PKG_GROUP=$PKG_CATEGORY_GENTOO
#    PKGTYPE="tbz2"
fi
if test "x$PKG_GROUP" = "x"; then 
     PKG_GROUP="nose"                 
fi
echo PKGTYPE $PKGTYPE
echo PKG_GROUP $PKG_GROUP


#DESCRIPTION
#    Una breve descripción del programa, en una línea. 
#HOMEPAGE
#    URL de la homepage del programa 
#SRC_URI
#    El enlace a los fuentes empaquetados (tar.gz, tar.bz2, etc). Con una peculiaridad, sustituiremos el nombre y número de versión del programa con la variable ${P}, así wmbday-3.0.tar.gz se queda en ${P}.tar.gz. 
#LICENSE
#    La licencia con la que se libera el programa. 
#SLOT
#    Si queremos tener varias versiones distintas el programa, lo indicamos aquí. Como no es el caso, lo dejamos en 0. 
#KEYWORDS
#    Esta variable tiene dos funciones, indicar para que arquitecturas es válido el ebuild e indicar si es estable o no. Personalmente, yo lo he puesto como ~x86, y para hacer el emerge, he tenido que añadir `x11-plugins/wmbday ~x86` al fichero /etc/portage/package.keywords. 
#IUSE
#    El programa necesita las X para funcionar, así que eso he puesto. 
#DEPEND
#    Aquí tampoco le he dado demasiadas vueltas, virtual/x11. 
#RDEPEND

# src_unpack()
#  {
#      unpack ${A}
#      cd ${S}
#      epatch ${FILESDIR}/${P}-makefile.patch
#      econf || die "econf failed"
#  }
#PATCHES="${FILESDIR}/${P}-nosuid.patch"

# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-misc/beep/beep-1.2.2-r1.ebuild,v 1.3 2006/08/19 11:00:37 kloeri Exp $

#inherit eutils base
#
#DESCRIPTION="the advanced PC speaker beeper"
#HOMEPAGE="http://www.johnath.com/beep/"
#SRC_URI="http://www.johnath.com/beep/${P}.tar.gz"
#
#LICENSE="GPL-2"
#SLOT="0"
#KEYWORDS="alpha amd64 ~ppc ~ppc64 ~sparc ~x86"
#IUSE=""

#PATCHES="${FILESDIR}/${P}-nosuid.patch"

#src_compile() {
#	emake FLAGS="${CFLAGS}" || die "compile problem"
#}

#src_install() {
#	dobin beep
#	fperms 0711 /usr/bin/beep
#	doman beep.1.gz
#	dodoc CHANGELOG CREDITS README
#}




FILE=$FILEEBUILD


echo "# Copyright $COPYRIGHTYEAR $MAINTAINER" >$FILE
echo "# Distributed under the terms of the GPLv3+: GNU General Public License v3+" >>$FILE
echo '# $Header:$'>>$FILE
echo >>$FILE
echo inherits eutils base>>$FILE
echo>>$FILE
echo DESCRIPTION=\"$SUMMARY\">>$FILE
echo HOMEPAGE=\"$PRIMARYSITE\">>$FILE
echo SRC_URI=\"$SRC_URI\">>$FILE
echo >>$FILE
echo LICENSE=\"$LICENSE\">>$FILE
echo SLOT=\"$SLOT\">>$FILE
echo KEYWORDS=\"$ARCHITECTURES\">>$FILE
echo IUSE=\"$IUSE\">>$FILE

#cat $FILE


############3



BUILDINFO=$UPACKDINFO
UPKG=$PKGNAME
BINPKG=$PACKAGE.upackbinpkg.tar.bz2
insidedir=${UPACKDINFO#$UPACKDROOT/}
        #dyn_package(){
        if ! test -d $BUILDINFO; then
            msg 4 "Error: no esta  $BUILDINFO, debe estar"
           else
            if ! test -d $UPACKDROOT ; then 
               msg 4 "Error: no esta  $UPACKDROOT, debe estar"
             else 

       #	local
########################################3 volver a poner local
        tar_options=""
        BINPKG_TAR_OPTS=""
        PORTAGE_VERBOSE="" 
	#[[ $PORTAGE_VERBOSE = 1 ]] && tar_options+=" -v"

        #cd ${T}

	#tar $tar_options -cf - $BINPKG_TAR_OPTS -C "${D}" . | bzip2 -f > "$BINPKG"
        if test x"$insidedir" != x ; then 
   	  tar $tar_options -cf - $BINPKG_TAR_OPTS --exclude=$insidedir -C "$UPACKDROOT" . | bzip2 -f > "$BINPKG"
         else
   	  tar $tar_options -cf - $BINPKG_TAR_OPTS  -C "$UPACKDROOT" . | bzip2 -f > "$BINPKG"
        fi
        msg 8 "tar $tar_options -cf - $BINPKG_TAR_OPTS --exclude=$insidedir -C $UPACKDROOT . | bzip2 -f > $BINPKG"
        msg 8 "BP $BINPKG - $UPKG - $BUILDINFO"

	#local volver a colocar 
        md5_hash=""
	if type md5sum &>/dev/null ; then
		md5_hash=$(md5sum "${BINPKG}")
		md5_hash=${md5_hash%% *}
	elif type md5 &>/dev/null ; then
		md5_hash=$(md5 "${BINPKG}")
		md5_hash=${md5_hash##* }
	fi
	[ -n "${md5_hash}" ] && \
		echo ${md5_hash} > $BUILDINFO/BINPKGMD5


        if  test -f "$UPKG" ; then         
              msg 4 "$UPKG ya existe, sera sobreescrito, salvado en $UPKG.back"
              mv $UPKG $UPKG.back
        fi 
        #    if test -f $UPKG ; then 
        #       rm $UPKG
        #  fi 
   	  $DIRBIN/upack.py --pack $BINPKG $UPKG $BUILDINFO
        #fi
        # poner opcion al upak para añadir sobre si mismo, salida sobre salida estandar,de info  o paquete
        rm $BINPKG


         #echo Package made
         #}
        fi  
        fi




